Skip to main content
`Ctrl`+`K`

# DMDAGetNumCells

Get the number of cells (or vertices) in the local piece of the `DMDA`. This includes ghost cells.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetNumCells(DM dm, PeOp PetscInt *numCellsX, PeOp PetscInt *numCellsY, PeOp PetscInt *numCellsZ, PeOp PetscInt *numCells)

## Input Parameter

- dm - The `DMDA` object

## Output Parameters

- numCellsX - The number of local cells in the x-direction

- numCellsY - The number of local cells in the y-direction

- numCellsZ - The number of local cells in the z-direction

- numCells - The number of local cells

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetCellPoint()`

## Level

developer

## Location

src/dm/impls/da/dalocal.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages